Package org.apache.nutch.plugin

## Class ExtensionPoint

- java.lang.Object
- - org.apache.nutch.plugin.ExtensionPoint

-     public class ExtensionPoint
      extends Object

  The `ExtensionPoint` provide meta information of a extension point.
  Author:
    joa23

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtensionPoint​(String pId, String pName, String pSchema)` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addExtension​(Extension extension)` | Install a coresponding extension to this extension point.
    `Extension[]` | `getExtensions()` | Returns a array of extensions that lsiten to this extension point
    `String` | `getId()` | Returns the unique id of the extension point.
    `String` | `getName()` | Returns the name of the extension point.
    `String` | `getSchema()` | Returns a path to the xml schema of a extension point.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensionPoint

          public ExtensionPoint​(String pId,
                                String pName,
                                String pSchema)

      Constructor
      Parameters:
        `pId` - unique extension point Id
        `pName` - name of the extension point
        `pSchema` - xml schema of the extension point

  - ### Method Detail

    - #### getId

          public String getId()

      Returns the unique id of the extension point.
      Returns:
        String

    - #### getName

          public String getName()

      Returns the name of the extension point.
      Returns:
        String

    - #### getSchema

          public String getSchema()

      Returns a path to the xml schema of a extension point.
      Returns:
        String

    - #### addExtension

          public void addExtension​(Extension extension)

      Install a coresponding extension to this extension point.
      Parameters:
        `extension` - the new `Extension` to install

    - #### getExtensions

          public Extension[] getExtensions()

      Returns a array of extensions that lsiten to this extension point
      Returns:
        Extension[]